#### D.2.9.5 facvar

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  facvar(J);
  J: an ideal in the parameters

Return:
  all the free-square factors of the elements
  of ideal J (non repeated). Integer factors are ignored, even 0 is ignored. It can be called from ideal @R, but the given ideal J must only contain poynomials in the parameters.

Note:
  Operates in the ring @P, and the ideal J must contain only polynomials in the parameters, but can be called from ring @R.

Example:

    LIB "redcgs.lib";
    ring R=(0,a,b,c),(x,y,z),dp;
    setglobalrings();
    ideal J=a2-b2,a2-2ab+b2,abc-bc;
    facvar(J);
    ==> _[1]=(a-b)
    ==> _[2]=(a+b)
    ==> _[3]=(a-1)
    ==> _[4]=(b)
    ==> _[5]=(c)

User manual for Singular version 4.4.1, 2025, generated by texi2html.